# Install `v1.1.1` :candy:

If you're on Mac OS X, upgrade to the latest version with:

```sh
$ brew install scalacenter/bloop/bloop
```

Otherwise, run:

```
$ curl -L https://github.com/scalacenter/bloop/releases/download/v1.1.1/install.py | python
```

Read the complete installation instructions in our [Installation page][installation instructions].

## Highlights :books:

### New documentation website!

Bloop has now a new website based on [Docusaurus](https://docusaurus.io). The new website has
simplified the installation sections and reorganized the structure to make it easier to read.

The new website is not yet finished but it's already an improvement over our old Kube-based website.

### Running the server with the right Java version in Mac OS

The homebrew installation doesn't fail anymore if users have both Java 8 and Java 11 installed.
The fix consists in resolving the bloop server via `coursier launch` and finding the Java 8 home
by using `/usr/libexec/java_home` in Mac OS.

See [#747](https://github.com/scalacenter/bloop/pull/747).

### Show a more concise output for `bloop about`

The output of bloop about is more concise in v1.1.1, imitating that of build tools such as `yarn`.

## Contributors :busts_in_silhouette:

According to `git shortlog -sn --no-merges v1.1.0..v1.1.1`, 1 people contributed to this
`v1.1.0` release: Jorge Vicente Cantero.

[installation instructions]: https://scalacenter.github.io/bloop/docs/installation
