# bloop `v1.2.1` :surfer:

## Upgrade guide :electric_plug:

This section describes the upgrade steps. If you don't have bloop installed, please read
the [installation instructions][] instead.

If you're on macOS, **upgrade** to the latest version with:

```sh
$ brew upgrade scalacenter/bloop/bloop
$ brew services restart bloop
```

If you're on Windows using `scoop`, **upgrade** to the latest version with:

```sh
$ scoop upgrade bloop
$ bloop ng-stop
$ // Start the server as you usually do (via systemd, manually, desktop services)
```

Otherwise, run:

```
$ curl -L https://github.com/scalacenter/bloop/releases/download/v1.2.1/install.py | python
$ bloop ng-stop
$ // Start the server as you usually do (via systemd, manually, desktop services)
```

Read the complete installation instructions in our [Installation page][installation instructions].

## Highlights :books:

`v1.2.1` is mostly a bugfix release.

### Clear bsp diagnostics earlier ([#782](https://github.com/scalacenter/bloop/pull/782))

Bloop's build server now clears diagnostics incrementally at the end of every incremental compiler cycle.

### Document shell completion setup and use in macOS ([#781](https://github.com/scalacenter/bloop/issues/781))

If shell completions don't work for your macOS system, follow the Homebrew installation instructions
and jump to the completions section that links to the [Homebrew guide to set up Homebrew-installed
completions](https://docs.brew.sh/Shell-Completion).

## Fixes :bug: :hammer:

1. [Use of transactional class file manager by default](https://github.com/scalacenter/bloop/pull/779)
1. [Make the launcher work for `v1.2.0` and not only `v1.1.2`](https://github.com/scalacenter/bloop/pull/780)

## Contributors :busts_in_silhouette:

According to `git shortlog -sn --no-merges v1.2.0..v1.2.1`, 1 people contributed to this `v1.2.1`
release: Jorge Vicente Cantero.

[installation instructions]: https://scalacenter.github.io/bloop/setup
